package com.steering.pss.plnsaleord.jggxpln.model;
/**
 * 数据库表PLN_GX_JG_M所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-4E32QV0   date 2016-03-22
 */
@SuppressWarnings("serial")
public class PlnGxJgMEntity implements java.io.Serializable {
    /**
     * 接箍工序订单编号
     */
    private String proPlanId = "";
    /**
     * 接箍产线代码
     */
    private String plineCode = "";
    /**
     * 接箍产线描述
     */
    private String plineName = "";
    /**
     * 生产顺序号
     */
    private String planSeqNo = "";
    /**
     * 监制要求
     */
    private String monitordemand = "";
    /**
     * 是否接箍监制
     */
    private String ifMonitorJg = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 接箍码
     */
    private String codeJg = "";
    /**
     * 接箍Key
     */
    private String keyJg = "";
    /**
     * 接箍Key
     */
    public String getKeyJg() {
        return keyJg;
    }
    /**
     * 接箍Key
     */
    public void setKeyJg(String keyJg) {
        this.keyJg = keyJg;
    }

    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 外径
     */
    private String outdiameter = "";
    /**
     * 临界壁厚
     */
    private String wallthick = "";
    /**
     * 接箍长度
     */
    private String aimlength = "";
    /**
     * 单重
     */
    private String singleweight = "";
    /**
     * 接箍规格代码
     */
    private String specJg = "";
    /**
     * 接箍规格描述
     */
    private String specJgDesc = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 接箍扣型描述
     */
    private String modelDesc = "";
    /**
     * 中孔类别(I、II、III、IV...)
     */
    private String styleJg = "";
    /**
     * 中孔内径
     */
    private String diameter = "";
    /**
     * 测量J值
     */
    private String checkJVal = "";
    /**
     * 可选备料码
     */
    private String allCodeBl = "";
    /**
     * 默认接箍备料码
     */
    private String codeJgBl = "";
    /**
     * 接箍料物料编码
     */
    private String blWlId = "";
    /**
     * 接箍料物料描述
     */
    private String blWlDesc = "";
    /**
     * 接箍料外径(mm)
     */
    private String minD = "";
    /**
     * 接箍料壁厚(mm)
     */
    private String minH = "";
    /**
     * 接箍料最小外径
     */
    private String blMinDOut = "";
    /**
     * 接箍料最大内径
     */
    private String blMaxDIn = "";
    /**
     * 接箍料目标长度
     */
    private String aimlengthBl = "";
    /**
     * 接箍坯料外径
     */
    private String diameterPl = "";
    /**
     * 接箍坯料壁厚
     */
    private String heightPl = "";
    /**
     * 接箍坯料长度min
     */
    private String lengthMin = "";
    /**
     * 接箍坯料长度max
     */
    private String lengthMax = "";
    /**
     * 接箍坯料锥度
     */
    private String taper = "";
    /**
     * 订单总个数
     */
    private String planNum = "";
    /**
     * 备料支数
     */
    private String blNum = "";
    /**
     * 备料重量
     */
    private String blWeight = "";
    /**
     * 作业工单已排个数
     */
    private String zyplanNum = "";
    /**
     * 生产完成个数
     */
    private String producedNum = "";
    /**
     * 订单状态（0计划，1下发，2生产中，3生产完成，4取消）
     */
    private String planstatus = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 利库重量（暂不用）
     */
    private String matchweight = "";
    /**
     * 利库个数
     */
    private String matchnum = "";
    /**
     * 有无外购计划
     */
    private String ifbuyplan = "";
    /**
     * 外购计划号
     */
    private String buyplanid = "";
    /**
     * 外购计划重量（暂不用）
     */
    private String buyplanweight = "";
    /**
     * 外购计划个数
     */
    private String buyplannum = "";
    /**
     * 客户Alpha编号
     */
    private String custAlphaNo = "";
    /**
     * 产品特殊要求描述
     */
    private String orderSpecialDesc = "";
    /**
     * 用途代码
     */
    private String alphaCode = "";
    /**
     * 用途描述 
     */
    private String alphaName = "";

    /**
     * 接箍工序订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 接箍工序订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 接箍产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 接箍产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 接箍产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 接箍产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 生产顺序号
     * @return value
     */
    public String getPlanSeqNo() {
        return planSeqNo;
    }

    /**
     * 生产顺序号
     * @param planSeqNo value
     */
    public void setPlanSeqNo(String planSeqNo) {
        this.planSeqNo = planSeqNo;
    }

    /**
     * 监制要求
     * @return value
     */
    public String getMonitordemand() {
        return monitordemand;
    }

    /**
     * 监制要求
     * @param monitordemand value
     */
    public void setMonitordemand(String monitordemand) {
        this.monitordemand = monitordemand;
    }

    /**
     * 是否接箍监制
     * @return value
     */
    public String getIfMonitorJg() {
        return ifMonitorJg;
    }

    /**
     * 是否接箍监制
     * @param ifMonitorJg value
     */
    public void setIfMonitorJg(String ifMonitorJg) {
        this.ifMonitorJg = ifMonitorJg;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 接箍码
     * @return value
     */
    public String getCodeJg() {
        return codeJg;
    }

    /**
     * 接箍码
     * @param codeJg value
     */
    public void setCodeJg(String codeJg) {
        this.codeJg = codeJg;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 外径
     * @return value
     */
    public String getOutdiameter() {
        return outdiameter;
    }

    /**
     * 外径
     * @param outdiameter value
     */
    public void setOutdiameter(String outdiameter) {
        this.outdiameter = outdiameter;
    }

    /**
     * 临界壁厚
     * @return value
     */
    public String getWallthick() {
        return wallthick;
    }

    /**
     * 临界壁厚
     * @param wallthick value
     */
    public void setWallthick(String wallthick) {
        this.wallthick = wallthick;
    }

    /**
     * 接箍长度
     * @return value
     */
    public String getAimlength() {
        return aimlength;
    }

    /**
     * 接箍长度
     * @param aimlength value
     */
    public void setAimlength(String aimlength) {
        this.aimlength = aimlength;
    }

    /**
     * 单重
     * @return value
     */
    public String getSingleweight() {
        return singleweight;
    }

    /**
     * 单重
     * @param singleweight value
     */
    public void setSingleweight(String singleweight) {
        this.singleweight = singleweight;
    }

    /**
     * 接箍规格代码
     * @return value
     */
    public String getSpecJg() {
        return specJg;
    }

    /**
     * 接箍规格代码
     * @param specJg value
     */
    public void setSpecJg(String specJg) {
        this.specJg = specJg;
    }

    /**
     * 接箍规格描述
     * @return value
     */
    public String getSpecJgDesc() {
        return specJgDesc;
    }

    /**
     * 接箍规格描述
     * @param specJgDesc value
     */
    public void setSpecJgDesc(String specJgDesc) {
        this.specJgDesc = specJgDesc;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 接箍扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 接箍扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @return value
     */
    public String getStyleJg() {
        return styleJg;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @param styleJg value
     */
    public void setStyleJg(String styleJg) {
        this.styleJg = styleJg;
    }

    /**
     * 中孔内径
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 中孔内径
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 测量J值
     * @return value
     */
    public String getCheckJVal() {
        return checkJVal;
    }

    /**
     * 测量J值
     * @param checkJVal value
     */
    public void setCheckJVal(String checkJVal) {
        this.checkJVal = checkJVal;
    }

    /**
     * 可选备料码
     * @return value
     */
    public String getAllCodeBl() {
        return allCodeBl;
    }

    /**
     * 可选备料码
     * @param allCodeBl value
     */
    public void setAllCodeBl(String allCodeBl) {
        this.allCodeBl = allCodeBl;
    }

    /**
     * 默认接箍备料码
     * @return value
     */
    public String getCodeJgBl() {
        return codeJgBl;
    }

    /**
     * 默认接箍备料码
     * @param codeJgBl value
     */
    public void setCodeJgBl(String codeJgBl) {
        this.codeJgBl = codeJgBl;
    }

    /**
     * 接箍料物料编码
     * @return value
     */
    public String getBlWlId() {
        return blWlId;
    }

    /**
     * 接箍料物料编码
     * @param blWlId value
     */
    public void setBlWlId(String blWlId) {
        this.blWlId = blWlId;
    }

    /**
     * 接箍料物料描述
     * @return value
     */
    public String getBlWlDesc() {
        return blWlDesc;
    }

    /**
     * 接箍料物料描述
     * @param blWlDesc value
     */
    public void setBlWlDesc(String blWlDesc) {
        this.blWlDesc = blWlDesc;
    }

    /**
     * 接箍料外径(mm)
     * @return value
     */
    public String getMinD() {
        return minD;
    }

    /**
     * 接箍料外径(mm)
     * @param minD value
     */
    public void setMinD(String minD) {
        this.minD = minD;
    }

    /**
     * 接箍料壁厚(mm)
     * @return value
     */
    public String getMinH() {
        return minH;
    }

    /**
     * 接箍料壁厚(mm)
     * @param minH value
     */
    public void setMinH(String minH) {
        this.minH = minH;
    }

    /**
     * 接箍料最小外径
     * @return value
     */
    public String getBlMinDOut() {
        return blMinDOut;
    }

    /**
     * 接箍料最小外径
     * @param blMinDOut value
     */
    public void setBlMinDOut(String blMinDOut) {
        this.blMinDOut = blMinDOut;
    }

    /**
     * 接箍料最大内径
     * @return value
     */
    public String getBlMaxDIn() {
        return blMaxDIn;
    }

    /**
     * 接箍料最大内径
     * @param blMaxDIn value
     */
    public void setBlMaxDIn(String blMaxDIn) {
        this.blMaxDIn = blMaxDIn;
    }

    /**
     * 接箍料目标长度
     * @return value
     */
    public String getAimlengthBl() {
        return aimlengthBl;
    }

    /**
     * 接箍料目标长度
     * @param aimlengthBl value
     */
    public void setAimlengthBl(String aimlengthBl) {
        this.aimlengthBl = aimlengthBl;
    }

    /**
     * 接箍坯料外径
     * @return value
     */
    public String getDiameterPl() {
        return diameterPl;
    }

    /**
     * 接箍坯料外径
     * @param diameterPl value
     */
    public void setDiameterPl(String diameterPl) {
        this.diameterPl = diameterPl;
    }

    /**
     * 接箍坯料壁厚
     * @return value
     */
    public String getHeightPl() {
        return heightPl;
    }

    /**
     * 接箍坯料壁厚
     * @param heightPl value
     */
    public void setHeightPl(String heightPl) {
        this.heightPl = heightPl;
    }

    /**
     * 接箍坯料长度min
     * @return value
     */
    public String getLengthMin() {
        return lengthMin;
    }

    /**
     * 接箍坯料长度min
     * @param lengthMin value
     */
    public void setLengthMin(String lengthMin) {
        this.lengthMin = lengthMin;
    }

    /**
     * 接箍坯料长度max
     * @return value
     */
    public String getLengthMax() {
        return lengthMax;
    }

    /**
     * 接箍坯料长度max
     * @param lengthMax value
     */
    public void setLengthMax(String lengthMax) {
        this.lengthMax = lengthMax;
    }

    /**
     * 接箍坯料锥度
     * @return value
     */
    public String getTaper() {
        return taper;
    }

    /**
     * 接箍坯料锥度
     * @param taper value
     */
    public void setTaper(String taper) {
        this.taper = taper;
    }

    /**
     * 订单总个数
     * @return value
     */
    public String getPlanNum() {
        return planNum;
    }

    /**
     * 订单总个数
     * @param planNum value
     */
    public void setPlanNum(String planNum) {
        this.planNum = planNum;
    }

    /**
     * 备料支数
     * @return value
     */
    public String getBlNum() {
        return blNum;
    }

    /**
     * 备料支数
     * @param blNum value
     */
    public void setBlNum(String blNum) {
        this.blNum = blNum;
    }

    /**
     * 备料重量
     * @return value
     */
    public String getBlWeight() {
        return blWeight;
    }

    /**
     * 备料重量
     * @param blWeight value
     */
    public void setBlWeight(String blWeight) {
        this.blWeight = blWeight;
    }

    /**
     * 作业工单已排个数
     * @return value
     */
    public String getZyplanNum() {
        return zyplanNum;
    }

    /**
     * 作业工单已排个数
     * @param zyplanNum value
     */
    public void setZyplanNum(String zyplanNum) {
        this.zyplanNum = zyplanNum;
    }

    /**
     * 生产完成个数
     * @return value
     */
    public String getProducedNum() {
        return producedNum;
    }

    /**
     * 生产完成个数
     * @param producedNum value
     */
    public void setProducedNum(String producedNum) {
        this.producedNum = producedNum;
    }

    /**
     * 订单状态（0计划，1下发，2生产中，3生产完成，4取消）
     * @return value
     */
    public String getPlanstatus() {
        return planstatus;
    }

    /**
     * 订单状态（0计划，1下发，2生产中，3生产完成，4取消）
     * @param planstatus value
     */
    public void setPlanstatus(String planstatus) {
        this.planstatus = planstatus;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 利库重量（暂不用）
     * @return value
     */
    public String getMatchweight() {
        return matchweight;
    }

    /**
     * 利库重量（暂不用）
     * @param matchweight value
     */
    public void setMatchweight(String matchweight) {
        this.matchweight = matchweight;
    }

    /**
     * 利库个数
     * @return value
     */
    public String getMatchnum() {
        return matchnum;
    }

    /**
     * 利库个数
     * @param matchnum value
     */
    public void setMatchnum(String matchnum) {
        this.matchnum = matchnum;
    }

    /**
     * 有无外购计划
     * @return value
     */
    public String getIfbuyplan() {
        return ifbuyplan;
    }

    /**
     * 有无外购计划
     * @param ifbuyplan value
     */
    public void setIfbuyplan(String ifbuyplan) {
        this.ifbuyplan = ifbuyplan;
    }

    /**
     * 外购计划号
     * @return value
     */
    public String getBuyplanid() {
        return buyplanid;
    }

    /**
     * 外购计划号
     * @param buyplanid value
     */
    public void setBuyplanid(String buyplanid) {
        this.buyplanid = buyplanid;
    }

    /**
     * 外购计划重量（暂不用）
     * @return value
     */
    public String getBuyplanweight() {
        return buyplanweight;
    }

    /**
     * 外购计划重量（暂不用）
     * @param buyplanweight value
     */
    public void setBuyplanweight(String buyplanweight) {
        this.buyplanweight = buyplanweight;
    }

    /**
     * 外购计划个数
     * @return value
     */
    public String getBuyplannum() {
        return buyplannum;
    }

    /**
     * 外购计划个数
     * @param buyplannum value
     */
    public void setBuyplannum(String buyplannum) {
        this.buyplannum = buyplannum;
    }

    /**
     * 客户Alpha编号
     * @return value
     */
    public String getCustAlphaNo() {
        return custAlphaNo;
    }

    /**
     * 客户Alpha编号
     * @param custAlphaNo value
     */
    public void setCustAlphaNo(String custAlphaNo) {
        this.custAlphaNo = custAlphaNo;
    }

    /**
     * 产品特殊要求描述
     * @return value
     */
    public String getOrderSpecialDesc() {
        return orderSpecialDesc;
    }

    /**
     * 产品特殊要求描述
     * @param orderSpecialDesc value
     */
    public void setOrderSpecialDesc(String orderSpecialDesc) {
        this.orderSpecialDesc = orderSpecialDesc;
    }

    /**
     * 用途代码
     * @return value
     */
    public String getAlphaCode() {
        return alphaCode;
    }

    /**
     * 用途代码
     * @param alphaCode value
     */
    public void setAlphaCode(String alphaCode) {
        this.alphaCode = alphaCode;
    }

    /**
     * 用途描述 
     * @return value
     */
    public String getAlphaName() {
        return alphaName;
    }

    /**
     * 用途描述 
     * @param alphaName value
     */
    public void setAlphaName(String alphaName) {
        this.alphaName = alphaName;
    }
}